TagLib::ID3v2::UrlLinkFrame Class Reference

ID3v2 URL frame. More...

`#include <urllinkframe.h>`

Inheritance diagram for TagLib::ID3v2::UrlLinkFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::UrlLinkFrame:
[legend]

## Public Member Functions

| UrlLinkFrame (const ByteVector &data)
| ~UrlLinkFrame () override
| UrlLinkFrame (const UrlLinkFrame &)=delete
UrlLinkFrame & | operator= (const UrlLinkFrame &)=delete
virtual String | url () const
virtual void | setUrl (const String &s)
void | setText (const String &s) override
String | toString () const override
PropertyMap | asProperties () const override
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
| Frame (const Frame &)=delete
Frame & | operator= (const Frame &)=delete
ByteVector | frameID () const
unsigned int | size () const
unsigned int | headerSize () const
void | setData (const ByteVector &data)
virtual StringList | toStringList () const
ByteVector | render () const
Header * | header () const

## Protected Member Functions

void | parseFields (const ByteVector &data) override
ByteVector | renderFields () const override
| UrlLinkFrame (const ByteVector &data, Header *h)
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=nullptr)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const

## Friends

class | FrameFactory

## Additional Inherited Members

Static Public Member Functions inherited from TagLib::ID3v2::Frame
static ByteVector | textDelimiter (String::Type t)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

ID3v2 URL frame.

An implementation of ID3v2 URL link frames.

## Constructor & Destructor Documentation

## UrlLinkFrame() [1/3]

TagLib::ID3v2::UrlLinkFrame::UrlLinkFrame | ( | const ByteVector & | data | ) |

explicit

This is a dual purpose constructor. data can either be binary data that should be parsed or (at a minimum) the frame ID.

Referenced by operator=(), and UrlLinkFrame().

## ~UrlLinkFrame()

TagLib::ID3v2::UrlLinkFrame::~UrlLinkFrame | ( |  | ) |

override

Destroys this UrlLinkFrame instance.

## UrlLinkFrame() [2/3]

TagLib::ID3v2::UrlLinkFrame::UrlLinkFrame | ( | const UrlLinkFrame & |  | ) |

delete

References UrlLinkFrame().

## UrlLinkFrame() [3/3]

TagLib::ID3v2::UrlLinkFrame::UrlLinkFrame | ( | const ByteVector & | data,
|  | Header * | h )

protected

The constructor used by the FrameFactory.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## Member Function Documentation

## asProperties()

PropertyMap TagLib::ID3v2::UrlLinkFrame::asProperties | ( |  | ) | const

override virtual

Parses the contents of this frame as PropertyMap. If that fails, the returned PropertyMap will be empty, and its unsupportedData() will contain this frame's ID.

Reimplemented from TagLib::ID3v2::Frame.

Reimplemented in TagLib::ID3v2::UserUrlLinkFrame.

## operator=()

UrlLinkFrame & TagLib::ID3v2::UrlLinkFrame::operator= | ( | const UrlLinkFrame & |  | ) |

delete

References UrlLinkFrame().

## parseFields()

void TagLib::ID3v2::UrlLinkFrame::parseFields | ( | const ByteVector & | data | ) |

override protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

Reimplemented in TagLib::ID3v2::UserUrlLinkFrame.

## renderFields()

ByteVector TagLib::ID3v2::UrlLinkFrame::renderFields | ( |  | ) | const

override protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

Reimplemented in TagLib::ID3v2::UserUrlLinkFrame.

## setText()

void TagLib::ID3v2::UrlLinkFrame::setText | ( | const String & | text | ) |

override virtual

Set the text of frame in the sanest way possible. This should only be reimplemented in frames where there is some logical mapping to text.

Note
  If the frame type supports multiple text encodings, this will not change the text encoding of the frame; the string will be converted to that frame's encoding. Please use the specific APIs of the frame types to set the encoding if that is desired.

Reimplemented from TagLib::ID3v2::Frame.

## setUrl()

virtual void TagLib::ID3v2::UrlLinkFrame::setUrl | ( | const String & | s | ) |

virtual

Sets the URL to s.

## toString()

String TagLib::ID3v2::UrlLinkFrame::toString | ( |  | ) | const

override virtual

This returns the textual representation of the data in the frame. Subclasses must reimplement this method to provide a string representation of the frame's data.

Implements TagLib::ID3v2::Frame.

Reimplemented in TagLib::ID3v2::UserUrlLinkFrame.

## url()

virtual String TagLib::ID3v2::UrlLinkFrame::url | ( |  | ) | const

virtual

Returns the URL.

## Friends And Related Symbol Documentation

## FrameFactory

friend class FrameFactory

friend

References FrameFactory.

Referenced by FrameFactory.

The documentation for this class was generated from the following file:

- urllinkframe.h